Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.core
Interface InternalRepository

All Superinterfaces:
  Comparable<ECPElement>, ECPContainer, ECPDisposable, ECPElement, ECPPropertiesAware, ECPProviderAware, ECPRepository, InternalRegistryElement, PropertiesStore.StorableElement

All Known Implementing Classes:
  ECPRepositoryImpl

    public interface InternalRepository

extends ECPRepository, PropertiesStore.StorableElement, InternalRegistryElement

Since:
  1.1
Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.core.ECPRepository
`TYPE`

Method Summary
`InternalProvider` | `getProvider()` This method returns the provider of this repository.
`Object` | `getProviderSpecificData()` This method returns provider specific data of this repository.
`void` | `notifyObjectsChanged(Collection<Object> objects)` This is a callback method used to notify the repository about changes.
`void` | `setProviderSpecificData(Object data)` This method sets the provider specific data for this repository.

Methods inherited from interface org.eclipse.emf.ecp.core.ECPRepository
`getDescription, getLabel`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPContainer
`canDelete, delete`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPPropertiesAware
`getProperties`

Methods inherited from interface org.eclipse.emf.ecp.internal.core.util.PropertiesStore.StorableElement
`isStorable, write`

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.InternalRegistryElement
`getDescription, getLabel, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`addDisposeListener, dispose, isDisposed, removeDisposeListener`

Method Detail

### getProvider

    InternalProvider getProvider()

  This method returns the provider of this repository.

  Specified by:
    `getProvider` in interface `ECPProviderAware`
  Returns:
    the provider of the repository

### getProviderSpecificData

    Object getProviderSpecificData()

  This method returns provider specific data of this repository.

  Returns:
    the provider specific data

### setProviderSpecificData

    void setProviderSpecificData(Object data)

  This method sets the provider specific data for this repository.

  Parameters:
    `data` - the provider specific data to set

### notifyObjectsChanged

    void notifyObjectsChanged(Collection<Object> objects)

  This is a callback method used to notify the repository about changes.

  Parameters:
    `objects` - that have changed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.